### GET /projects/service Source: https://developer.simplicate.com/docs/api/v2/openapi.json METHOD: GET URL: '/api/v2/projects/service' ```markdown ### Parameters - **offset** (integer, query, optional): The offset to search from - **limit** (integer, query, optional): The limit of max allowed results - **sort** (string, query, optional): Sort the result by column name ### Responses #### 200 - Ok **RestResultProjectServices** - **metadata** (object) - **count** (integer) - **total_count** (integer) - **offset** (integer) - **limit** (integer) - **upper_limit** (integer) - **nocleanup** (boolean) - **checksum** (string) - **errors** (array (object)) - **debug** (mixed,null) - **data** (array (GetProjectService)) Array items: - **default_service_id** (string) - **name** (string) - **explanation** (string) - **invoice_method** (string (Hours|FixedFee|Subscription)) ("Hours"|"FixedFee"|"Subscription") - **amount** (number (float)) - **price** (number (float)) - **track_hours** (boolean) - **track_cost** (boolean) - **id** (string) - **start_date** (string) - **end_date** (string) - **subscription_cycle** (string (Month|Quarter|Half_a_year|Year)) ("Month"|"Quarter"|"Half_a_year"|"Year") - **budget** (number (float)) - **project_id** (string) - **related_service_id** (string) - **expected_invoice_date** (string) - **invoice_date** (string) - **status** (string) - **hour_types** (array (GetProjectServiceHoursType)) Array items: - **budgeted_amount** (number (float)) - **tariff** (number (float)) - **billable** (boolean) - **id** (string) - **hourstype** (object): Type DTO class for the REST API. This class represents the relation type data carrier between two processes. - **label** (string) - **tariff** (string) - **blocked** (boolean) - **color** (string) - **id** (string) - **type** (string (normal|leave|absence)) ("normal"|"leave"|"absence") - **billable** (number (float)) - **vatclass** (object): VatClass DTO for the REST API. This class represents the invoice's vat class carrier between two processes. - **id** (string) - **code** (string) - **label** (string) - **percentage** (number (float)) - **color** (string) - **cost_types** (array (GetProjectServiceCostType)) Array items: - **budgeted_amount** (number (float)) - **tariff** (number (float)) - **purchase_margin** (number (float)) - **purchase_tariff** (number (float)) - **id** (string) - **costtype** (object): Project DTO class for the REST API. This class represents the project data carrier between two processes. - **label** (string) - **blocked** (boolean) - **tariff** (number (float)) - **is_unit_tariff** (boolean) - **unit_name** (string) - **is_attachment_allowed** (boolean) - **id** (string) - **label** (string) - **vat_class** (object): VatClass DTO for the REST API. This class represents the invoice's vat class carrier between two processes. - **revenue_group** (object): RevenueGroup DTO class for the REST API. This class represents the source data carrier between two processes. - **id** (string) - **label** (string) - **invoice_in_installments** (boolean) - **installments** (array (Installment)) Array items: - **name** (string) - **percentage** (number (float)) - **price** (number (float)) - **order** (integer) - **expiration_date** (string) - **status** (string (open|flushed|invoiced)) ("open"|"flushed"|"invoiced") - **invoiced_date** (string) - **invoice_id** (string) - **invoice_line_id** (string) - **created_at** (string) - **updated_at** (string) - **budget_financial_hours** (string) - **write_hours_start_date** (string) - **write_hours_end_date** (string) - **service_number** (string) - **use_in_resource_planner** (boolean) - **elapsed_cycles** (integer) #### 401 - Unauthorized Unauthorized #### 404 - Entity Not Found Entity Not Found #### 500 - Error Error ### Example Usage ```bash curl -X GET "https://{domain}.simplicate.nl/api/v2/projects/service?offset=0&limit=5&sort=string" ``` ``` -------------------------------- ### GET /services/defaultservice Source: https://developer.simplicate.com/docs/api/v2/openapi.json METHOD: GET URL: '/api/v2/services/defaultservice' ```markdown ### Parameters - **offset** (integer, query, optional): The offset to search from - **limit** (integer, query, optional): The limit of max allowed results - **sort** (string, query, optional): Sort the result by column name ### Responses #### 200 - Ok **RestResultDefaultServices** - **metadata** (object) - **count** (integer) - **total_count** (integer) - **offset** (integer) - **limit** (integer) - **upper_limit** (integer) - **nocleanup** (boolean) - **checksum** (string) - **errors** (array (object)) - **debug** (mixed,null) - **data** (array (GetDefaultService)) Array items: - **my_organization_profile_id** (string) - **name** (string) - **price_editable** (boolean) - **price** (number (float)) - **id** (string) - **vat_class** (object): VatClass DTO for the REST API. This class represents the invoice's vat class carrier between two processes. - **id** (string) - **code** (string) - **label** (string) - **percentage** (number (float)) - **revenue_group** (object): RevenueGroup DTO class for the REST API. This class represents the source data carrier between two processes. - **id** (string) - **label** (string) - **created_at** (string) - **updated_at** (string) - **modified** (string) #### 401 - Unauthorized Unauthorized #### 404 - Entity Not Found Entity Not Found #### 500 - Error Error ### Example Usage ```bash curl -X GET "https://{domain}.simplicate.nl/api/v2/services/defaultservice?offset=0&limit=5&sort=string" ``` ``` -------------------------------- ### GET /sales/salessource Source: https://developer.simplicate.com/docs/api/v2/openapi.json METHOD: GET URL: '/api/v2/sales/salessource' ```markdown ### Parameters - **offset** (integer, query, optional): The offset to search from - **limit** (integer, query, optional): The limit of max allowed results - **sort** (string, query, optional): Sort the result by column name ### Responses #### 200 - Ok **RestResultSalesSources** - **metadata** (object) - **count** (integer) - **total_count** (integer) - **offset** (integer) - **limit** (integer) - **upper_limit** (integer) - **nocleanup** (boolean) - **checksum** (string) - **errors** (array (object)) - **debug** (mixed,null) - **data** (array (SalesSource)) Array items: - **id** (string) - **name** (string) #### 401 - Unauthorized Unauthorized #### 404 - Entity Not Found Entity Not Found #### 500 - Error Error ### Example Usage ```bash curl -X GET "https://{domain}.simplicate.nl/api/v2/sales/salessource?offset=0&limit=5&sort=string" ``` ``` -------------------------------- ### GET /projects/project Source: https://developer.simplicate.com/docs/api/v2/openapi.json METHOD: GET URL: '/api/v2/projects/project' ```markdown ### Parameters - **offset** (integer, query, optional): The offset to search from - **limit** (integer, query, optional): The limit of max allowed results - **sort** (string, query, optional): Sort the result by column name ### Responses #### 200 - Ok **RestResultProjects** - **metadata** (object) - **count** (integer) - **total_count** (integer) - **offset** (integer) - **limit** (integer) - **upper_limit** (integer) - **nocleanup** (boolean) - **checksum** (string) - **errors** (array (object)) - **debug** (mixed,null) - **data** (array (GetProject)) Array items: - **my_organization_profile_id** (string) - **person_id** (string) - **organization_id** (string) - **contact_id** (string) - **name** (string) - **billable** (boolean) - **can_register_mileage** (boolean) - **project_number** (string) - **note** (string) - **start_date** (string) - **end_date** (string) - **invoice_reference** (string) - **id** (string) - **project_manager** (object): Employee DTO class for the REST API. This class represents the employee data carrier between two processes. - **id** (string) - **person_id** (string): Added in order to comply with the original sales/sales responsible_employee response - **name** (string) - **project_status** (object): Project status DTO class for the REST API. This class represents the project status carrier between two processes. - **id** (string) - **label** (string) - **color** (string) - **hours_rate_type** (string) - **abnormal_address** (boolean) - **abnormal_person_id** (string) - **abnormal_organization_id** (string) - **organization** (object): Organization DTO class for the REST API. This class represents the organization data carrier between two processes. - **id** (string) - **name** (string) - **relation_number** (string) - **person** (object): Organization DTO class for the REST API. This class represents the person data carrier between two processes. - **id** (string) - **full_name** (string) - **relation_number** (string) - **separate_invoice_recipient** (object) - **is_separate_invoice_recipient** (boolean) - **organization** (object): Organization DTO class for the REST API. This class represents the organization data carrier between two processes. - **person** (object): Organization DTO class for the REST API. This class represents the person data carrier between two processes. - **contact** (object) - **id** (string) - **person** (object): Organization DTO class for the REST API. This class represents the person data carrier between two processes. - **organization** (object): Organization DTO class for the REST API. This class represents the organization data carrier between two processes. - **contact** (object) - **my_organization_profile** (object) - **id** (string) - **organization** (object): Organization DTO class for the REST API. This class represents the organization data carrier between two processes. - **divergent_payment_term** (object): Payment term DTO for the REST API. This class represents the payment term data carrier between two processes. - **name** (string) - **days** (integer) - **method** (string (Direct Debit|Bank Transfer|Cash)) ("Direct Debit"|"Bank Transfer"|"Cash") - **id** (string) - **employees** (array (GetEmployeeSimple)) Array items: - **teams** (array (GetTeamSimple)) Array items: - **id** (string) - **name** (string) - **budget** (object) - **hours** (object) - **amount_budget** (number (float)) - **amount_spent** (number (float)) - **value_budget** (number (float)) - **value_spent** (number (float)) - **costs** (object) - **value_budget** (number (float)) - **value_spent** (number (float)) - **total** (object) - **value_budget** (number (float)) - **value_spent** (number (float)) - **value_invoiced** (number (float)) - **abnormal_contact_id** (string) - **custom_fields** (array (GetCustomField)) Array items: - **name** (string) - **label** (string) - **value** (string) - **display_value** (string) - **type** (string) - **render_type** (string) - **position** (integer) - **filterable** (boolean) - **searchable** (boolean) - **mandatory** (boolean) - **value_type** (string (Text|Integer|Decimal|Date|Time|DateTime)) ("Text"|"Integer"|"Decimal"|"Date"|"Time"|"DateTime") - **custom_field_group** (object): CustomField DTO class for the REST API. This class represents a single custom field data carrier between two processes. - **id** (string) - **name** (string) - **position** (string) - **model** (object) - **id** (string) - **label** (string) - **type** (string) - **options** (array (CustomFieldOption)) Array items: - **id** (string) - **label** (string) - **value** (string) - **position** (integer) - **customfield_id** (string) - **id** (string) - **created_at** (string) - **updated_at** (string) - **simplicate_url** (string) - **is_reverse_billing** (boolean) - **is_invoice_approval** (boolean) - **copied_from_project** (object): Project DTO class for the REST API. This class represents the project data carrier between two processes. - **id** (string) - **name** (string) - **project_number** (string) - **organization** (object): Organization DTO class for the REST API. This class represents the organization data carrier between two processes. - **person** (object): Organization DTO class for the REST API. This class represents the person data carrier between two processes. - **project_manager** (object): Employee DTO class for the REST API. This class represents the employee data carrier between two processes. - **separate_invoice_recipient** (unknown) - **has_register_mileage_enabled** (boolean) #### 401 - Unauthorized Unauthorized #### 404 - Entity Not Found Entity Not Found #### 500 - Error Error ### Example Usage ```bash curl -X GET "https://{domain}.simplicate.nl/api/v2/projects/project?offset=0&limit=5&sort=string" ``` ``` -------------------------------- ### GET /workflows/workflow Source: https://developer.simplicate.com/docs/api/v2/openapi.json API endpoint for GET /workflows/workflow ```markdown ### Parameters - **offset** (integer, query, optional): The offset to search from - **limit** (integer, query, optional): The limit of max allowed results - **sort** (string, query, optional): Sort the result by column name ### Responses #### 200 - Ok **RestResultWorkflows** #### 401 - Unauthorized Unauthorized #### 404 - Entity Not Found Entity Not Found #### 500 - Error Error ### Example Usage ```bash curl -X GET "https://{domain}.simplicate.nl/api/v2/workflows/workflow?offset=0&limit=5&sort=string" ``` ``` -------------------------------- ### GET /projects/purchase Source: https://developer.simplicate.com/docs/api/v2/openapi.json API endpoint for GET /projects/purchase ```markdown ### Parameters - **offset** (integer, query, optional): The offset to search from - **limit** (integer, query, optional): The limit of max allowed results - **sort** (string, query, optional): Sort the result by column name ### Responses #### 200 - Ok **RestResultPurchases** - **metadata** (object) - **count** (integer) - **total_count** (integer) - **offset** (integer) - **limit** (integer) - **upper_limit** (integer) - **nocleanup** (boolean) - **checksum** (string) - **errors** (array (object)) - **debug** (mixed,null) - **data** (array (Purchase)) Array items: - **id** (string) - **organization** (object): Organization DTO class for the REST API. This class represents the organization data carrier between two processes. - **id** (string) - **name** (string) - **relation_number** (string) - **person** (object): Organization DTO class for the REST API. This class represents the person data carrier between two processes. - **id** (string) - **full_name** (string) - **relation_number** (string) - **supplier** (string) - **invoice_number** (string) - **type** (string (purchase|cost/expenses|import)) ("purchase"|"cost/expenses"|"import") - **projects** (array (GetProjectSimple)) Array items: - **id** (string) - **name** (string) - **project_number** (string) - **organization** (object): Organization DTO class for the REST API. This class represents the organization data carrier between two processes. - **person** (object): Organization DTO class for the REST API. This class represents the person data carrier between two processes. - **project_manager** (object): Employee DTO class for the REST API. This class represents the employee data carrier between two processes. - **id** (string) - **person_id** (string): Added in order to comply with the original sales/sales responsible_employee response - **name** (string) - **separate_invoice_recipient** (unknown) - **has_register_mileage_enabled** (boolean) #### 401 - Unauthorized Unauthorized #### 404 - Entity Not Found Entity Not Found #### 500 - Error Error ### Example Usage ```bash curl -X GET "https://{domain}.simplicate.nl/api/v2/projects/purchase?offset=0&limit=5&sort=string" ``` ``` -------------------------------- ### GET /projects/projectcustomfields Source: https://developer.simplicate.com/docs/api/v2/openapi.json METHOD: GET URL: '/api/v2/projects/projectcustomfields' ```markdown ### Parameters - **offset** (integer, query, optional): The offset to search from - **limit** (integer, query, optional): The limit of max allowed results - **sort** (string, query, optional): Sort the result by column name ### Responses #### 200 - Ok **RestResultCustomFields** - **metadata** (object) - **count** (integer) - **total_count** (integer) - **offset** (integer) - **limit** (integer) - **upper_limit** (integer) - **nocleanup** (boolean) - **checksum** (string) - **errors** (array (object)) - **debug** (mixed,null) - **data** (array (CustomField)) Array items: - **name** (string) - **label** (string) - **value** (string) - **display_value** (string) - **type** (string) - **render_type** (string) - **position** (integer) - **filterable** (boolean) - **searchable** (boolean) - **mandatory** (boolean) - **value_type** (string (Text|Integer|Decimal|Date|Time|DateTime)) ("Text"|"Integer"|"Decimal"|"Date"|"Time"|"DateTime") - **custom_field_group** (object): CustomField DTO class for the REST API. This class represents a single custom field data carrier between two processes. - **id** (string) - **name** (string) - **position** (string) - **model** (object) - **id** (string) - **label** (string) - **type** (string) - **options** (array (CustomFieldOption)) Array items: - **id** (string) - **label** (string) - **value** (string) - **position** (integer) - **customfield_id** (string) #### 401 - Unauthorized Unauthorized #### 404 - Entity Not Found Entity Not Found #### 500 - Error Error ### Example Usage ```bash curl -X GET "https://{domain}.simplicate.nl/api/v2/projects/projectcustomfields?offset=0&limit=5&sort=string" ``` ``` -------------------------------- ### GET /projects/projectstatus Source: https://developer.simplicate.com/docs/api/v2/openapi.json API endpoint for GET /projects/projectstatus ```markdown ### Parameters - **offset** (integer, query, optional): The offset to search from - **limit** (integer, query, optional): The limit of max allowed results - **sort** (string, query, optional): Sort the result by column name ### Responses #### 200 - Ok **RestResultProjectStatusses** - **metadata** (object) - **count** (integer) - **total_count** (integer) - **offset** (integer) - **limit** (integer) - **upper_limit** (integer) - **nocleanup** (boolean) - **checksum** (string) - **errors** (array (object)) - **debug** (mixed,null) - **data** (array (ProjectStatus)) Array items: - **id** (string) - **label** (string) - **color** (string) #### 401 - Unauthorized Unauthorized #### 404 - Entity Not Found Entity Not Found #### 500 - Error Error ### Example Usage ```bash curl -X GET "https://{domain}.simplicate.nl/api/v2/projects/projectstatus?offset=0&limit=5&sort=string" ``` ``` -------------------------------- ### GET /sales/service Source: https://developer.simplicate.com/docs/api/v2/openapi.json METHOD: GET URL: '/api/v2/sales/service' ```markdown ### Parameters - **offset** (integer, query, optional): The offset to search from - **limit** (integer, query, optional): The limit of max allowed results - **sort** (string, query, optional): Sort the result by column name ### Responses #### 200 - Ok **RestResultSalesServices** - **metadata** (object) - **count** (integer) - **total_count** (integer) - **offset** (integer) - **limit** (integer) - **upper_limit** (integer) - **nocleanup** (boolean) - **checksum** (string) - **errors** (array (object)) - **debug** (mixed,null) - **data** (array (GetSalesService)) Array items: - **default_service_id** (string) - **name** (string) - **explanation** (string) - **invoice_method** (string (FixedFee)) ("FixedFee") - **amount** (number (float)) - **price** (number (float)) - **track_hours** (boolean) - **track_cost** (boolean) - **sales_id** (string) - **show_itemtype** (integer) - **total** (string) - **total_incl_vat** (number (float)) - **position** (integer) - **subscription_cycle** (string (Month|Quarter|Half_a_year|Year)) ("Month"|"Quarter"|"Half_a_year"|"Year") - **id** (string) - **revenue_group_id** (string) - **invoice_date** (string) - **hour_types** (array (GetSalesServiceHoursType)) Array items: - **budgeted_amount** (number (float)) - **tariff** (number (float)) - **billable** (boolean) - **id** (string) - **hourstype** (object): Type DTO class for the REST API. This class represents the relation type data carrier between two processes. - **label** (string) - **tariff** (string) - **blocked** (boolean) - **color** (string) - **id** (string) - **type** (string (normal|leave|absence)) ("normal"|"leave"|"absence") - **billable** (number (float)) - **vatclass** (object): VatClass DTO for the REST API. This class represents the invoice's vat class carrier between two processes. - **id** (string) - **code** (string) - **label** (string) - **percentage** (number (float)) - **cost_types** (array (GetSalesServiceCostType)) Array items: - **budgeted_amount** (number (float)) - **tariff** (number (float)) - **purchase_margin** (number (float)) - **purchase_tariff** (number (float)) - **id** (string) - **costtype** (object): Project DTO class for the REST API. This class represents the project data carrier between two processes. - **label** (string) - **blocked** (boolean) - **tariff** (number (float)) - **is_unit_tariff** (boolean) - **unit_name** (string) - **is_attachment_allowed** (boolean) - **id** (string) - **label** (string) - **vat_class** (object): VatClass DTO for the REST API. This class represents the invoice's vat class carrier between two processes. - **created_at** (array (GetSalesServiceHoursType)) Array items: - **updated_at** (array (GetSalesServiceHoursType)) Array items: - **is_active** (boolean) #### 401 - Unauthorized Unauthorized #### 404 - Entity Not Found Entity Not Found #### 500 - Error Error ### Example Usage ```bash curl -X GET "https://{domain}.simplicate.nl/api/v2/sales/service?offset=0&limit=5&sort=string" ``` ``` -------------------------------- ### GET /timers/timer Source: https://developer.simplicate.com/docs/api/v2/openapi.json METHOD: GET URL: '/api/v2/timers/timer' ```markdown ### Parameters - **offset** (integer, query, optional): The offset to search from - **limit** (integer, query, optional): The limit of max allowed results - **sort** (string, query, optional): Sort the result by column name ### Responses #### 200 - Ok **RestResultTimers** - **metadata** (object) - **count** (integer) - **total_count** (integer) - **offset** (integer) - **limit** (integer) - **upper_limit** (integer) - **nocleanup** (boolean) - **checksum** (string) - **errors** (array (object)) - **debug** (mixed,null) - **data** (array (GetTimer)) Array items: - **state** (string (running|paused|finished)) ("running"|"paused"|"finished") - **description** (string) - **metadata** (string): JSON - **id** (string) - **seconds_spent** (integer) - **min_seconds_step** (integer) - **employee** (object): Employee DTO class for the REST API. This class represents the employee data carrier between two processes. - **id** (string) - **person_id** (string): Added in order to comply with the original sales/sales responsible_employee response - **name** (string) - **project** (object): Project DTO class for the REST API. This class represents the project data carrier between two processes. - **id** (string) - **name** (string) - **project_number** (string) - **organization** (object): Organization DTO class for the REST API. This class represents the organization data carrier between two processes. - **id** (string) - **name** (string) - **relation_number** (string) - **person** (object): Organization DTO class for the REST API. This class represents the person data carrier between two processes. - **id** (string) - **full_name** (string) - **relation_number** (string) - **project_manager** (object): Employee DTO class for the REST API. This class represents the employee data carrier between two processes. - **separate_invoice_recipient** (unknown) - **has_register_mileage_enabled** (boolean) - **projectservice** (object): Service DTO class for the REST API. This class represents the service data carrier between two processes. - **id** (string) - **name** (string) - **default_service_id** (string) - **revenue_group_id** (string) - **use_in_resource_planner** (boolean) - **hourstype** (object): Type DTO class for the REST API. This class represents the relation type data carrier between two processes. - **label** (string) - **tariff** (string) - **blocked** (boolean) - **color** (string) - **id** (string) - **type** (string (normal|leave|absence)) ("normal"|"leave"|"absence") - **billable** (number (float)) - **vatclass** (object): VatClass DTO for the REST API. This class represents the invoice's vat class carrier between two processes. - **id** (string) - **code** (string) - **label** (string) - **percentage** (number (float)) - **related_hours** (object): BaseHours DTO class for the REST API. This class represents the relation type data carrier between two processes. - **source** (string (schedule|timer|timesheet)) ("schedule"|"timer"|"timesheet") - **note** (string) - **start_date** (string) - **hours** (number (float)) - **duration_in_minutes** (integer) - **end_date** (string) - **is_time_defined** (boolean) - **is_recurring** (boolean) - **recurrence** (object) - **id** (string) - **rrule** (object) - **dtstart** (string) - **freq** (integer) - **until** (string) - **count** (integer) - **interval** (integer) - **wkst** (string) - **byday** (string) - **bysetpos** (string) - **update** (string) - **is_external** (boolean) - **billable** (boolean) - **address** (object): Address DTO class for the REST API. This class represents the address data carrier between two processes. - **type** (string) - **line_1** (string) - **line_2** (string) - **postal_code** (string) - **province** (string) - **locality** (string) - **country_code** (string) - **country_id** (string) - **assignment_id** (string) - **should_sync_to_cronofy** (boolean) - **external_url** (string) - **id** (string) - **created_at** (string) - **updated_at** (string) #### 401 - Unauthorized Unauthorized #### 404 - Entity Not Found Entity Not Found #### 500 - Error Error ### Example Usage ```bash curl -X GET "https://{domain}.simplicate.nl/api/v2/timers/timer?offset=0&limit=5&sort=string" ``` ``` -------------------------------- ### GET /sales/salescustomfields Source: https://developer.simplicate.com/docs/api/v2/openapi.json METHOD: GET URL: '/api/v2/sales/salescustomfields' ```markdown ### Parameters - **offset** (integer, query, optional): The offset to search from - **limit** (integer, query, optional): The limit of max allowed results - **sort** (string, query, optional): Sort the result by column name ### Responses #### 200 - Ok **RestResultCustomFields** - **metadata** (object) - **count** (integer) - **total_count** (integer) - **offset** (integer) - **limit** (integer) - **upper_limit** (integer) - **nocleanup** (boolean) - **checksum** (string) - **errors** (array (object)) - **debug** (mixed,null) - **data** (array (CustomField)) Array items: - **name** (string) - **label** (string) - **value** (string) - **display_value** (string) - **type** (string) - **render_type** (string) - **position** (integer) - **filterable** (boolean) - **searchable** (boolean) - **mandatory** (boolean) - **value_type** (string (Text|Integer|Decimal|Date|Time|DateTime)) ("Text"|"Integer"|"Decimal"|"Date"|"Time"|"DateTime") - **custom_field_group** (object): CustomField DTO class for the REST API. This class represents a single custom field data carrier between two processes. - **id** (string) - **name** (string) - **position** (string) - **model** (object) - **id** (string) - **label** (string) - **type** (string) - **options** (array (CustomFieldOption)) Array items: - **id** (string) - **label** (string) - **value** (string) - **position** (integer) - **customfield_id** (string) #### 401 - Unauthorized Unauthorized #### 404 - Entity Not Found Entity Not Found #### 500 - Error Error ### Example Usage ```bash curl -X GET "https://{domain}.simplicate.nl/api/v2/sales/salescustomfields?offset=0&limit=5&sort=string" ``` ``` -------------------------------- ### GET /projects/document Source: https://developer.simplicate.com/docs/api/v2/openapi.json API endpoint for GET /projects/document ```markdown ### Parameters - **offset** (integer, query, optional): The offset to search from - **limit** (integer, query, optional): The limit of max allowed results - **sort** (string, query, optional): Sort the result by column name ### Responses #### 200 - Ok **RestResultDocuments** - **metadata** (object) - **count** (integer) - **total_count** (integer) - **offset** (integer) - **limit** (integer) - **upper_limit** (integer) - **nocleanup** (boolean) - **checksum** (string) - **errors** (array (object)) - **debug** (mixed,null) - **data** (array (GetDocument)) Array items: - **title** (string) - **description** (string) - **id** (string) - **download_url** (string) - **document_type** (object): Document type DTO class for the REST API. This class represents the available document types - **id** (string) - **label** (string) - **linked_to** (array (LinkedToEntity)) Array items: - **id** (string) - **label** (string) - **type** (string) - **created_by** (object): Employee DTO class for the REST API. This class represents the employee data carrier between two processes. - **id** (string) - **person_id** (string): Added in order to comply with the original sales/sales responsible_employee response - **name** (string) - **created_at** (string) - **updated_at** (string) #### 401 - Unauthorized Unauthorized #### 404 - Entity Not Found Entity Not Found #### 500 - Error Error ### Example Usage ```bash curl -X GET "https://{domain}.simplicate.nl/api/v2/projects/document?offset=0&limit=5&sort=string" ``` ``` -------------------------------- ### GET /projects/projectcustomfieldgroups Source: https://developer.simplicate.com/docs/api/v2/openapi.json METHOD: GET URL: '/api/v2/projects/projectcustomfieldgroups' ```markdown ### Parameters - **offset** (integer, query, optional): The offset to search from - **limit** (integer, query, optional): The limit of max allowed results - **sort** (string, query, optional): Sort the result by column name ### Responses #### 200 - Ok **RestResultCustomFieldGroups** - **metadata** (object) - **count** (integer) - **total_count** (integer) - **offset** (integer) - **limit** (integer) - **upper_limit** (integer) - **nocleanup** (boolean) - **checksum** (string) - **errors** (array (object)) - **debug** (mixed,null) - **data** (array (CustomFieldGroup)) Array items: - **id** (string) - **name** (string) - **position** (string) - **model** (object) - **id** (string) - **label** (string) - **type** (string) #### 401 - Unauthorized Unauthorized #### 404 - Entity Not Found Entity Not Found #### 500 - Error Error ### Example Usage ```bash curl -X GET "https://{domain}.simplicate.nl/api/v2/projects/projectcustomfieldgroups?offset=0&limit=5&sort=string" ``` ``` -------------------------------- ### GET /projects/projectfilters Source: https://developer.simplicate.com/docs/api/v2/openapi.json METHOD: GET URL: '/api/v2/projects/projectfilters' ```markdown ### Parameters - **offset** (integer, query, optional): The offset to search from - **limit** (integer, query, optional): The limit of max allowed results - **sort** (string, query, optional): Sort the result by column name ### Responses #### 200 - Ok **RestResultFilters** - **metadata** (object) - **count** (integer) - **total_count** (integer) - **offset** (integer) - **limit** (integer) - **upper_limit** (integer) - **nocleanup** (boolean) - **checksum** (string) - **errors** (array (object)) - **debug** (mixed,null) - **data** (array (Filter)) Array items: - **id** (string) - **name** (string) - **key** (string) - **values** (array (object)) #### 401 - Unauthorized Unauthorized #### 404 - Entity Not Found Entity Not Found #### 500 - Error Error ### Example Usage ```bash curl -X GET "https://{domain}.simplicate.nl/api/v2/projects/projectfilters?offset=0&limit=5&sort=string" ``` ```